Bug 93451 - Web Inspector: Search matches count view is flaky.
: Web Inspector: Search matches count view is flaky.
Status: RESOLVED FIXED
: WebKit
Web Inspector (Deprecated)
: 528+ (Nightly build)
: All All
: P2 Normal
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2012-08-08 01:40 PST by
Modified: 2012-08-10 00:29 PST (History)


Attachments
problem illustration (40.60 KB, image/png)
2012-08-08 01:40 PST, sam
no flags Details
Patch (3.04 KB, patch)
2012-08-09 22:46 PST, sam
no flags Review Patch | Details | Formatted Diff | Diff
Patch (1.22 KB, patch)
2012-08-09 23:49 PST, sam
no flags Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2012-08-08 01:40:40 PST
Created an attachment (id=157150) [details]
problem illustration

1). Ctrl+f to open a search panel.
2). Type any value to be searched. 
3). Observe the match count on right side of input ex. {2 of 121}

This match count view is getting blocked.

I have attached a screenshot for illustration.

Will upload a patch.
------- Comment #1 From 2012-08-09 22:46:23 PST -------
Created an attachment (id=157641) [details]
Patch
------- Comment #2 From 2012-08-09 23:03:06 PST -------
(From update of attachment 157641 [details])
Clearing r+, cq+. I am not sure what is happening in this change.
------- Comment #3 From 2012-08-09 23:10:31 PST -------
(From update of attachment 157641 [details])
View in context: https://bugs.webkit.org/attachment.cgi?id=157641&action=review

The right fix is to change .search-results-matches to have { min-width: 50px; margin-right: 36px; }

> Source/WebCore/inspector/front-end/inspector.css:289
> +    float: left;

you should not do float: left for two components belonging to the same container.
------- Comment #4 From 2012-08-09 23:49:29 PST -------
Created an attachment (id=157646) [details]
Patch
------- Comment #5 From 2012-08-10 00:28:59 PST -------
(From update of attachment 157646 [details])
Clearing flags on attachment: 157646

Committed r125255: <http://trac.webkit.org/changeset/125255>
------- Comment #6 From 2012-08-10 00:29:03 PST -------
All reviewed patches have been landed.  Closing bug.